## mozjs24 24.2.0

=== js/src/testing/mozbase/mozprocess/tests/Makefile ===
#
# mozprocess proclaunch tests Makefile
#

# include rules for platform determination
include iniparser/platform.mk

ifeq ($(WIN32), 1)
# Win 32
CC      = cl
LINK    = link
CFLAGS  = //Od //I "iniparser" //D "WIN32" //D "_WIN32" //D "_DEBUG" //D "_CONSOLE" //D "_UNICODE" //D "UNICODE" //Gm //EHsc //RTC1 //MDd //W3 //nologo //c //ZI //TC
LFLAGS  = //OUT:"proclaunch.exe" //INCREMENTAL //LIBPATH:"iniparser\\" //NOLOGO //DEBUG //SUBSYSTEM:CONSOLE //DYNAMICBASE //NXCOMPAT //ERRORREPORT:PROMPT iniparser.lib  kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib
RM      = rm -f

all: iniparser proclaunch

iniparser:
	$(MAKE) -C iniparser

proclaunch.obj: proclaunch.c
	@(echo "compiling proclaunch; platform: $(UNAME), WIN32: $(WIN32)")
	$(CC) $(CFLAGS) proclaunch.c

proclaunch: proclaunch.obj
	$(LINK) $(LFLAGS) proclaunch.obj

clean:
	$(RM) proclaunch.exe projloaunch.obj
else
# *nix/Mac
LFLAGS  = -L.. -liniparser
AR	    = ar
ARFLAGS = rcv
RM      = rm -f
CC      = gcc
ifeq ($(UNAME), Linux)
CFLAGS  = -g -v -Iiniparser
else
CFLAGS  = -g -v -arch i386 -Iiniparser
endif

all: libiniparser.a proclaunch

libiniparser.a:
	$(MAKE) -C iniparser

proclaunch: proclaunch.c
	@(echo "compiling proclaunch; platform: $(UNAME), WIN32: $(WIN32)")
	$(CC) $(CFLAGS) -o proclaunch proclaunch.c -Iiniparser -Liniparser -liniparser

clean:
	$(RM) proclaunch
	$(MAKE) -C iniparser clean
endif

=== debian/changelog ===
mozjs24 (24.2.0-6ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - rename library packages for g++5 ABI transition.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Sep 2017 09:58:47 +0200

mozjs24 (24.2.0-6) unstable; urgency=low

  * Backport initialization segfaults on Sparc64 fixes (closes: #827815).
  * Fix FTBFS with GCC 7 (closes: #853559).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 Sep 2017 20:58:23 +0000

mozjs24 (24.2.0-5.1ubuntu1) zesty; urgency=medium

  * Sync with Debian unstable. Remaining change:
    - rename library packages for g++5 ABI transition.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 08 Jan 2017 18:07:50 -0500

mozjs24 (24.2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Manually mmap on arm64 to ensure high 17 bits are clear (Closes: #839050,
    thanks to Zheng Xu)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 07 Jan 2017 01:42:14 +0000

mozjs24 (24.2.0-5) unstable; urgency=low

  * Revert fix for ARM64 crashes, causes even more problems (closes: #847542).

  [ John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de> ]
  * Add support for m68k (closes: #847525).

  [ Adam Borowski <kilobyte@angband.pl> ]
  * Disable JS JIT on x32 to make SpiderMonkey build (closes: #777502).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 09 Dec 2016 22:57:52 +0000

mozjs24 (24.2.0-4) unstable; urgency=low

  * Backport upstream fix for ARM64 crashes (closes: #839050).
  * Add Multi-Arch field to libmozjs-24-0 and its -dbg variant
    (closes: #760757).
  * Update homepage (closes: #844257).
  * Set SHELL for running configure.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 08 Dec 2016 19:04:08 +0000

mozjs24 (24.2.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove not needed Build-Conflicts, that are now cousing uninstallability
    of the Build-Depends.  Closes: #813749
  * Add patch (taken from Ubuntu) to fix build with perl 5.22.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 06 Jul 2016 22:33:32 +0000

mozjs24 (24.2.0-3) unstable; urgency=low

  * Update Standards-Version to 3.9.6 .

  [ Pino Toscano <pino@debian.org> ]
  * Fix FTBFS on Hurd (closes: #756218).

  [ John David Anglin <dave.anglin@bell.net> ]
  * Fix FTBFS on HPPA (closes: #757067).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 May 2015 13:39:40 +0000

mozjs24 (24.2.0-2) unstable; urgency=low

  * Make shlibs fix unconditional of Operating System (closes: #746705).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 02 May 2014 22:20:45 +0200

mozjs24 (24.2.0-1) unstable; urgency=low

  * Initial upload to Debian (closes: #739132).
  * libmozjs-24-dev doesn't need ${shlibs:Depends} dependency.
  * Add DEB_BUILD_OPTIONS nocheck option to disable build time tests.
  * Look for 24.x upstream releases only in debian/watch .
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 27 Feb 2014 11:55:01 +0000

mozjs24 (24.2.0-0ubuntu2) trusty; urgency=medium

  * Drop debian/docs, which references files we no longer ship.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 14 Feb 2014 22:27:00 -0700

mozjs24 (24.2.0-0ubuntu1) trusty; urgency=medium

  [ Tim Lunn ]
  * New upstream release (LP: #1279175)
  * Bump packaging to mozjs24
  * debian/rules:
    - Disable intl-api
  * debian/control:
    - Bump build-dep on libnspr4-dev (>= 2:4.9.2)
  * debian/patches/fix-soname.patch: Refreshed
  * debian/watch: added

  [ Dmitry Shachnev ]
  * Update package descriptions.
  * Make all packages except dbg ones Priority: optional.
  * debian/copyright: Upgrade to 1.0 format, add python-which license,
    remove unused MPL-1.1 license.

 -- Tim Lunn <tim@feathertop.org>  Wed, 11 Feb 2014 21:55:34 +1100

mozjs17 (17.0.0-1ubuntu1) trusty; urgency=medium

  * Apply openSUSE patch to add arm64 support.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Jan 2014 11:32:13 +0000

mozjs17 (17.0.0-1) unstable; urgency=low

  * Initial release (closes: #709434).
  * Update to debhelper level 9.
  * Convert to multi-arch.
  * Fix copyright .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Sep 2013 12:40:39 +0000

mozjs17 (17.0.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1113166)
    - Should noticably improve GNOME Shell performance by fixing
      memory leaks and avoiding garbage collector deadlocks
    - A separate source package is used because some rdepends like couchdb
      won't be ready for this version any time soon
  * Adjust packaging to new firefox versioned releases
  * Drop .symbols files
  * Add -dbg package
  * debian/patches:
    - Dropped all existing patches, they are included in new version
    - fix-soname.patch, added to correct soname for shared library
  * debian/rules:
    - enable parallel build
    - move shared library and create symlinks for standard soname versioning

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 25 May 2013 12:24:23 +0100

=== debian/control ===
Source: mozjs24
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libffi-dev,
               libnspr4-dev (>= 2:4.9.2),
               pkg-config,
               pkg-kde-tools,
               python,
               zip
Standards-Version: 3.9.8
Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey/Releases/24

Package: libmozjs-24-0v5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libmozjs-24-0
Replaces: libmozjs-24-0
Description: Spidermonkey JavaScript engine
 SpiderMonkey is the code-name for the Mozilla's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.

Package: libmozjs-24-0v5-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libmozjs-24-0v5 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libmozjs-24-0-dbg
Replaces: libmozjs-24-0-dbg
Description: Spidermonkey JavaScript engine (debug symbols)
 SpiderMonkey is the code-name for the Mozilla's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains the debug symbols.

Package: libmozjs-24-dev
Architecture: any
Section: libdevel
Depends: libmozjs-24-0v5 (= ${binary:Version}),
         libmozjs-24-bin (= ${binary:Version}),
         libffi-dev,
         libnspr4-dev (>= 2:4.9.2),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Spidermonkey JavaScript library - development headers
 SpiderMonkey is the code-name for the Mozilla's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains the header files and static library which is
 needed for developing Spidermonkey embedders.

Package: libmozjs-24-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Spidermonkey JavaScript shell
 SpiderMonkey is the code-name for the Mozilla's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains js24 JavaScript interpreter.

Package: libmozjs-24-bin-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libmozjs-24-bin (= ${binary:Version}),
         ${misc:Depends}
Description: Spidermonkey JavaScript shell (debug symbols)
 SpiderMonkey is the code-name for the Mozilla's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains the debug symbols for the js24 JavaScript
 interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

VENDOR ?= $(shell dpkg-vendor --query vendor)

SRCDIR = $(CURDIR)/js/src

ifeq ($(VENDOR), Debian)
ifneq (,$(findstring $(DEB_BUILD_ARCH),armel))
        CONFIGURE_FLAGS += --disable-methodjit
endif
endif

ifeq ($(VENDOR), Ubuntu)
ifneq (,$(findstring $(DEB_BUILD_ARCH),armel armhf))
        CONFIGURE_FLAGS += --enable-thumb2
endif
endif

%:
	dh $@ --sourcedirectory=$(SRCDIR) --parallel --with pkgkde-symbolshelper

override_dh_clean:
	dh_clean
	find $(CURDIR)/js/src/ \( -type l  -o -name \*.pyc \) -exec rm {} \;
	rm -f $(CURDIR)/js/src/config/nsinstall
	rm -f $(CURDIR)/js/src/dist/bin/.purgecaches
	rm -f  $(CURDIR)/js/src/js24-config $(CURDIR)/js/src/mozjs-24.pc \
		$(CURDIR)/js/src/symverscript
	rm -f $(CURDIR)/js/src/config.log

# dh_auto_configure does not properly handle autoconf2.13 generated configure
# scripts, so we call configure ourselves.
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=570375
override_dh_auto_configure:
	cd $(SRCDIR) && SHELL=/bin/sh ./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--libdir=/usr/lib/${DEB_HOST_MULTIARCH}/ \
		--with-system-nspr \
		--disable-tests \
		--disable-strip \
		--enable-ctypes \
		--enable-threadsafe \
		--enable-system-ffi \
		--disable-intl-api \
		$(CONFIGURE_FLAGS)

override_dh_install:
	# move library and create additional symlinks to standardize the file layout
	cd $(CURDIR)/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/ && \
		mv libmozjs-24.so libmozjs-24.so.0.0.0 && \
		ln -s libmozjs-24.so.0.0.0 libmozjs-24.so.0 && \
		ln -s libmozjs-24.so.0 libmozjs-24.so
	dh_install --fail-missing

override_dh_fixperms:
	dh_fixperms
	chmod a-x $(CURDIR)/debian/libmozjs-24-dev/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/mozjs-24.pc

override_dh_strip:
	dh_strip -p libmozjs-24-0v5 --dbg-package=libmozjs-24-0v5-dbg
	dh_strip -p libmozjs-24-bin --dbg-package=libmozjs-24-bin-dbg
	dh_strip

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	make -C $(SRCDIR) -k check || true
endif

.PHONY: override_dh_clean override_dh_auto_configure override_dh_install \
	override_dh_strip override_dh_auto_test
